Bug Hunting Session
Bug 89131 - UI Control spin button for number of heading rows in dialog Insert Table is not working
Summary: UI Control spin button for number of heading rows in dialog Insert Table is n...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dialog Writer-Tables
  Show dependency treegraph
 
Reported: 2015-02-05 03:31 UTC by Sheeba Medoline
Modified: 2019-12-03 14:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of Insert table in Libre Office writer (36.74 KB, image/jpeg)
2015-02-05 03:31 UTC, Sheeba Medoline
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sheeba Medoline 2015-02-05 03:31:39 UTC
Created attachment 113134 [details]
Screenshot of Insert table in Libre Office writer

Actual Result: 

While choosing the "Insert Table" then "more options", then selecting the "Heading" check box in "option" , control spin button is not working in "Heading rows". It can be increased or decreased by manual, but constantly only two rows with two columns are added as heading row.

Expected Result:

While choosing the "Insert Table" then "more options", then selecting the "Heading" check box in "option" , control spin button should work in "Heading rows". It should  be increased or decreased by manual also, and it should produce the number of heading rows entered by the user.

Step 1: Open Libre office Writer
Step 2: Click Insert Table
Step 3: Click More Options
Step 4: Click "Heading" check box
Step 5: When Click the "Heading rows", values are increased/decreased by control spin button.
Comment 1 Cor Nouws 2015-02-05 08:46:46 UTC
Hi Sheeba,

Thanks for reporting.
I confirm that the spin button does not work.
But I can set more header rows by typing the number - of course depending on the total amount of rows.

(I did not check the first version with this problem.)
Comment 2 QA Administrators 2016-02-21 08:34:20 UTC Comment hidden (obsolete)
Comment 3 Cor Nouws 2016-02-22 20:30:49 UTC
Still not working in Version: 5.2.0.0.alpha0+
Build ID: a3c70e760fa4203b7e6692f82d1d8a14214af3da
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-02-17_23:47:57
Locale: nl-NL (nl_NL.UTF-8)
Comment 4 Cor Nouws 2016-02-22 20:32:30 UTC
and already a bug in version 3.3.0 :)
Comment 5 QA Administrators 2017-03-06 14:53:03 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:31:31 UTC
Dear Sheeba Medoline,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug